# $Revision: 1.42 $, $Date: 2006/03/27 12:41:43 $
%include	/usr/lib/rpm/macros.perl
Summary:	RADIUS Server
Summary(pl):	Serwer RADIUS
Name:		icradius
Version:	0.18.1
Release:	6
License:	GPL
Group:		Networking/Daemons
Source0:	http://dl.sourceforge.net/icradius/%{name}-%{version}.tar.gz
# Source0-md5:	55585fd9947d40ab3243deb4f7738770
Source1:	%{name}.pamd
Source2:	%{name}.init
Source3:	%{name}.logrotate
Source4:	%{name}.QUICKSTART.txt
Source5:	%{name}-ICRadiusCFG.pm
Source6:	%{name}-dictionary.cisco
Source7:	%{name}-dictionary.default
Patch0:		%{name}-ICRadiusCFG.patch
Patch1:		%{name}-Cisco-VOIP.patch
URL:		http://www.icradius.org/
BuildRequires:	mysql-devel
BuildRequires:	pam-devel
BuildRequires:	rpm-perlprov >= 4.1-13
Requires(post):	fileutils
Requires(post,preun):	/sbin/chkconfig
Requires:	mysql
Requires:	pam >= 0.77.3
Requires:	perl-Authen-Radius >= 0.05
Requires:	perl-base >= 5.6.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Provides:	radius
Obsoletes:	radius

%define		htmldir		/home/services/httpd/html

%description
RADIUS server with MySQL backend based on Cistron Radius.

%description -l pl
Serwer RADIUS z backendem MySQL bazowanym na Cistron Radius.

%package cgi
Summary:	ICRADIUS web interface
Summary(pl):	Interfejs WWW do ICRADIUS
Group:		Networking/Daemons
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-perl = %{version}-%{release}
Requires:	perl-IC-Radius
Requires:	webserver

%description cgi
ICRADIUS web interface.

%description cgi -l pl
Interfejs WWW do ICRADIUS.

%package perl
Summary:	ICRADIUS perl scripts
Summary(pl):	Skrypty perlowe ICRADIUS
Group:		Networking/Daemons
Requires:	%{name} = %{version}-%{release}
Requires:	perl-Authen-Radius >= 0.05
Requires:	perl-Msql-Mysql-modules

%description perl
ICRADIUS perl scripts.

%description perl -l pl
Skrypty perlowe ICRADIUS.

%package dictionaries
Summary:	RADIUS dictionaries
Summary(pl):	Sowniki RADIUS
Group:		Networking/Daemons
Requires:	%{name} = %{version}-%{release}

%description dictionaries
RADIUS dictionaries.

%description dictionaries -l pl
Sowniki RADIUS.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__make} -C src \
	PAM=-DPAM \
	PAMLIB="-lpam -ldl" \
	LCRYPT="-lcrypt" \
	LSHADOW="" \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d \
	$RPM_BUILD_ROOT%{_sbindir} \
	$RPM_BUILD_ROOT%{_docdir}/%{name}-%{version} \
	$RPM_BUILD_ROOT%{_datadir}/%{name}/dictionaries \
	$RPM_BUILD_ROOT%{htmldir}/%{name}/images \
	$RPM_BUILD_ROOT%{_sysconfdir}/raddb \
	$RPM_BUILD_ROOT/etc/pam.d \
	$RPM_BUILD_ROOT/etc/rc.d/init.d \
	$RPM_BUILD_ROOT/etc/logrotate.d \
	$RPM_BUILD_ROOT%{_mandir}/man8 \
	$RPM_BUILD_ROOT/var/log/radacct \
	$RPM_BUILD_ROOT%{perl_vendorlib}

install src/radiusd scripts/{radlast,radwho,testrad,radwatch} \
	$RPM_BUILD_ROOT%{_sbindir}

#perl
install src/checkrad.pl \
			scripts/{radius.db,acctexport.pl,acctimport.pl,acctsummarize.pl} \
			scripts/{dictimport.pl,radiusfixup.pl,userexport.pl} \
			scripts/{userimport.pl,syncaccounting.pl} \
			$RPM_BUILD_ROOT%{_datadir}/%{name}

#dictionaries
install raddb/dictionary* \
			$RPM_BUILD_ROOT%{_datadir}/%{name}/dictionaries
install	%{SOURCE6} $RPM_BUILD_ROOT%{_datadir}/%{name}/dictionaries/dictionary.cisco-new
install	%{SOURCE7} $RPM_BUILD_ROOT%{_datadir}/%{name}/dictionaries/dictionary.cistron_default

#cgi
install scripts/images/* $RPM_BUILD_ROOT%{htmldir}/%{name}/images
install scripts/{radius.cgi,usage.cgi} $RPM_BUILD_ROOT%{htmldir}/%{name}

#etc
install raddb/radius.conf 	$RPM_BUILD_ROOT%{_sysconfdir}/raddb
install raddb/huntgroups 	$RPM_BUILD_ROOT%{_sysconfdir}/raddb
install %{SOURCE1}	$RPM_BUILD_ROOT/etc/pam.d/radius
install %{SOURCE2}	$RPM_BUILD_ROOT/etc/rc.d/init.d/radius
install %{SOURCE3}	$RPM_BUILD_ROOT/etc/logrotate.d/radius
install %{SOURCE4}	doc/QUICKSTART.txt
install %{SOURCE5}	$RPM_BUILD_ROOT%{perl_vendorlib}/ICRadiusCFG.pm

install doc/*.8		$RPM_BUILD_ROOT%{_mandir}/man8

gzip -9nf $RPM_BUILD_ROOT%{_datadir}/%{name}/dictionaries/*

:> $RPM_BUILD_ROOT/var/log/radutmp
:> $RPM_BUILD_ROOT/var/log/radwtmp
:> $RPM_BUILD_ROOT/var/log/radius.log

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 027
touch /var/log/rad{u,w}tmp
/sbin/chkconfig --add radius
if [ -r /var/lock/subsys/radiusd ]; then
	/etc/rc.d/init.d/radius restart >&2
else
	echo "Run \"/etc/rc.d/init.d/radius start\" to start radius daemon."
	echo "Don't forget to read"
	echo "	%{_docdir}/%{name}-%{version}/QUICKSTART.txt.gz"
	echo "if you find problems with running daemon"
fi

%preun
if [ "$1" = "0" ]; then
	if [ -r /var/lock/subsys/radiusd ]; then
		/etc/rc.d/init.d/radius stop >&2
	fi
	/sbin/chkconfig --del radius
fi

%files
%defattr(644,root,root,755)
%doc COPYRIGHT.Cistron COPYRIGHT.ICRADIUS COPYRIGHT.Livingston
%doc doc/{ChangeLog,ChangeLog.cistron,FAQ,THANKS,TODO}
%doc doc/{README,README.Y2K,README.cisco,README.hints,README.proxy,README.simul}
%doc scripts/*
%doc doc/QUICKSTART.txt

%attr(750,root,root) %dir /var/log/radacct
%attr(751,root,root) %dir %{_sysconfdir}/raddb
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/*

%attr(755,root,root) %{_sbindir}/radiusd
%attr(755,root,root) %{_sbindir}/radwatch
%{_mandir}/*/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/radius.db

%attr(754,root,root) /etc/rc.d/init.d/radius
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/radius

%attr(640,root,root) %ghost /var/log/radutmp
%attr(640,root,root) %ghost /var/log/radwtmp
%attr(640,root,root) %ghost /var/log/radius.log

%config(noreplace) %verify(not md5 mtime size) /etc/pam.d/radius

%files cgi
%defattr(644,root,root,755)
%dir %{htmldir}/%{name}
%attr(755,root,root) %{htmldir}/%{name}/*

%files perl
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/radlast
%attr(755,root,root) %{_sbindir}/radwho
%attr(755,root,root) %{_sbindir}/testrad
%attr(755,root,root) %{_datadir}/%{name}/*.pl
%{perl_vendorlib}/ICRadiusCFG.pm

%files dictionaries
%defattr(644,root,root,755)
%{_datadir}/%{name}/dictionaries

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: icradius.spec,v $
Revision 1.42  2006/03/27 12:41:43  glen
- rel 6 (libmysqlclient_15)

Revision 1.41  2005/12/12 16:24:19  glen
- adapterized (sorted %verify attrs)

Revision 1.40  2005/10/27 17:42:02  arekm
- rel 5

Revision 1.39  2005/02/19 14:08:57  ankry
- rel. 4

Revision 1.38  2004/11/28 21:24:33  radek
- release 3: do not require the perl package

Revision 1.37  2004/09/26 21:51:32  kolodko
- added macros in /etc/logrotate.d

Revision 1.36  2004/03/30 14:45:14  qboosh
- fixed libs detection, strict internal deps, release 2

Revision 1.35  2003/12/09 22:09:41  qboosh
- cgi R: perl-IC-Radius; s/httpd/webserver/

Revision 1.34  2003/12/09 21:59:49  qboosh
- updated URLs

Revision 1.33  2003/12/09 21:54:51  qboosh
- 0.18.1
- removed obsolete radius_dir patch, updated ICRadiusCFG,Cisco-VOIP patches

Revision 1.32  2003/09/26 14:23:13  baggins
- release 10

Revision 1.31  2003/09/26 14:20:25  baggins
- req pam >= 0.77.3

Revision 1.30  2003/09/08 11:23:45  qboosh
- missing dirs

Revision 1.29  2003/08/20 15:11:51  qboosh
- no // in paths, other cosmetics

Revision 1.28  2003/05/28 12:59:08  malekith
- massive attack: source-md5

Revision 1.27  2003/05/25 05:48:49  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2003/04/15 11:52:52  zagrodzki
- icradius-cgi requires icradius-perl.
- rev 9

Revision 1.25  2003/03/15 13:33:31  radek
- updated for perl-5.8.0; release 8

Revision 1.24  2003/03/03 12:25:34  qboosh
- %%config for pam.d file, umask in %%post, missing dir, Requires()

Revision 1.23  2003/03/03 02:45:07  radek
- updated Source0 URL, included /etc/pam.d/radius

Revision 1.22  2002/12/07 23:49:19  ankry
- fix improper usage of %%{_sysconfdir}

Revision 1.21  2002/12/07 19:34:22  orzech
- /home -> /home/services

Revision 1.20  2002/12/07 14:33:05  ankry
- fix improper usage of %%{_sysconfdir}

Revision 1.19  2002/11/27 21:10:39  juandon
- new %%doc

Revision 1.18  2002/04/25 16:35:55  arturs
fixed a small typo

Revision 1.17  2002/04/02 19:18:23  alchemyx
- changed name of init from *.initd to *.init

Revision 1.16  2002/02/22 23:29:03  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/01/18 02:13:19  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/09/24 13:52:35  qboosh
- Prereq: /sbin/chkconfig
- the rest of pl translations
- release 7

Revision 1.13  2001/07/26 05:42:08  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.11  2001/05/29 01:34:09  bonkey
- removed duplicated macros.perl
- added Cisco-VOIP patch
- release 6

Revision 1.10  2001/05/27 15:39:23  kloczek
- %%include /usr/lib/rpm/macros.perl for generate perl modules dependences,
- cosmetics.

Revision 1.9  2001/05/26 20:42:33  bonkey
- typo in dictionaries
- release 5 (in but last spec actually)
- added huntgroups to /etc/raddb

Revision 1.8  2001/05/26 20:05:22  bonkey
- typos and order in dictionaries names

Revision 1.7  2001/05/26 19:59:45  bonkey
- typos with source{6,7}

Revision 1.6  2001/05/26 19:48:41  bonkey
- added default dictonary

Revision 1.5  2001/05/26 18:52:39  bonkey
- separated dictonaries package moved to %%{_datadir}
- less strict access to /etc/raddb/radius.conf to make perl script
  cgi working (both should work as radius user in future)
- added VOIP dictionary
- release 3

Revision 1.4  2001/05/21 21:33:51  bonkey
- :> to rad{u,w}tmp changed to separated lines

Revision 1.3  2001/05/20 23:55:48  bonkey
- release 2
- _a_lot_of_ fixes and changes
- package mysql changed to perl (with files reorganization)
- Requires and BuildRequires chenged
- additional patches and sources
- some conflicts with icradius.spec rev.1.2 - hopefully patched well

Revision 1.2  2001/05/20 14:27:56  kloczek
- cleanups and cosmetics.

Revision 1.1  2001/05/20 13:16:55  bonkey
- initial version based slightly on radius-cistron
